qqnorm.ci <- function(x, alfa=0.90, nrep=1000, qqline=TRUE, ci=TRUE,...){
  if(is.vector(x)==F | is.numeric(x)==F){
    cat("\n x deve ser um vetor numérico \n")
  }
  media <- mean(x)
  dp <- sd(x)
  percentis <- ppoints(length(x))
  quantis <- qnorm(percentis,mean=media,sd=dp)
  plot(sort(x)~quantis,
       xlab="Quantis Teóricos",ylab="Observado", ...)
  results <- data.frame(Obs=sort(x),Percentile=percentis, Quantis= quantis)
  if(qqline==TRUE){
    abline(0,1, col="blue")
  }
  if(ci==TRUE){
    rmat <- matrix(rnorm(nrep*length(x),mean=media,sd=dp),nrow=length(x))
    rmat <- apply(rmat,2,sort)
    lower <- apply(rmat,1,quantile,prob=(1-alfa)/2)
    upper <- apply(rmat,1,quantile,prob=(1+alfa)/2)
    lines(lower~quantis,col="red",lty=2)
    lines(upper~quantis,col="red",lty=2)
    results$Lower.CI <- lower
    results$Upper.CI <- upper
  }
invisible(results)
}
 
